Bug 429112 - Review Request: pigment-python - Python bindings to the Pigment Media Center Toolkit
Summary: Review Request: pigment-python - Python bindings to the Pigment Media Center ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 429590
TreeView+ depends on / blocked
 
Reported: 2008-01-17 13:13 UTC by Matthias Saou
Modified: 2008-03-22 19:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-22 19:31:18 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Saou 2008-01-17 13:13:27 UTC
Spec URL: http://thias.fedorapeople.org/review/pigment-python/pigment-python.spec
SRPM URL: http://thias.fedorapeople.org/review/pigment-python/pigment-python-0.3.1-1.src.rpm
Description:
Pigment is a toolkit for writing Media Center software.
These are the Python bindings for Pigment.

Note : The python bindings have been split out of the main "pigment" package between the 0.3.2 and 0.3.3 releases, so this new separate package is now required to get the same level of functionality (required by "elisa").

Comment 1 Mamoru TASAKA 2008-02-08 15:24:51 UTC
This does not build.
http://koji.fedoraproject.org/koji/taskinfo?taskID=403358

Comment 2 Matthias Saou 2008-02-08 19:09:48 UTC
Indeed. I've added the gstreamer-devel build requirement and tested a build
making sure I wasn't keeping any packages in the build root (which I probably
did the first time without realizing). Worked for me. I also updated to the
latest version.

Find the new 0.3.2-1 in the same location.

Note that you might need to rebuild pigment 0.3.4 before. I've committed it to
CVS on the devel branch, although I won't build it until this package is
reviewed and approved, since it would be a regression otherwise.

Comment 3 Mamoru TASAKA 2008-02-09 16:43:11 UTC
(In reply to comment #2)
> Note that you might need to rebuild pigment 0.3.4 before. I've committed it to
> CVS on the devel branch, although I won't build it until this package is
> reviewed and approved, since it would be a regression otherwise.

Well, then I don't want to review this because I want to make it
sure that the rebuild succeeds on all archs on koji (there are many cases
in which  problems are found on other than i386 arch).
BTW don't you want to see the "regression" until this package gets approved
even if it is on rawhide?

Comment 4 Matthias Saou 2008-02-11 14:16:33 UTC
OK, I guess it won't be too much of a problem to "break" what requires pigment
in Rawhide for a few days, since AFAIK only elisa requires it. I've just
triggered a new build of pigment 0.3.4 in Rawhide, so you should be able to test
a rebuild of pigment-python against it now.

Comment 5 Mamoru TASAKA 2008-02-11 17:14:18 UTC
Well,
! I recommend to use
  make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
  to keep timestamps on installed files as much as possible.
  This method usually works for recent autotool-based Makefiles.

  http://koji.fedoraproject.org/koji/taskinfo?taskID=415494

Other things are okay
* source coincides with upstream
* spec file okay
* actually builds
  http://koji.fedoraproject.org/koji/taskinfo?taskID=415328
* can be installed
* Requires okay
-------------------------------------------------------------------------
             This package (pigment-python) is APPROVED by me
--------------------------------------------------------------------------

Comment 6 Matthias Saou 2008-02-13 10:41:43 UTC
Thanks! Mamoru : I've added the INSTALL="install -p".

New Package CVS Request
=======================
Package Name: pigment-python
Short Description: Python bindings to the Pigment Media Center Toolkit
Owners: thias
Branches: F-7 F-8 EL-5
InitialCC:
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-02-13 17:33:13 UTC
cvs done.

Comment 8 Mamoru TASAKA 2008-02-22 17:31:38 UTC
What is the status of this bug?

Comment 9 Matthias Saou 2008-02-23 23:34:22 UTC
Rebuilding for devel now, sorry. Once further tested, I'll also update pigment
on the other current branches, in order to rebuild pigment-python, and be able
to update elisa at last (bug #429590).

Comment 10 Matthias Saou 2008-03-22 19:31:18 UTC
The Elisa update is still pending, since new plugin packages will have to be
submitted, but I'll close this review since pigment-python has been rebuilt and
is available (for devel for now).


Note You need to log in before you can comment on or make changes to this bug.